Subject: bug#25685: fill-paragraph vs. \n vs. Chinese / English boundaries

From: Katsumi Yamaoka <[email-masked]>
Date: Wed, 15 Feb 2017 10:32:01 +0900

On Tue, 14 Feb 2017 08:13:19 +0900, Katsumi Yamaoka wrote:
> So, there may want to be a user option, of which the default value
> doesn't change the present behavior.  Is there a good name for it?

I've installed it in the Emacs master
<http://lists.gnu.org/archive/html/emacs-diffs/2017-02/msg00185.html>
as:
,----[ C-h v fill-separate-heterogeneous-words-with-space RET ]
| fill-separate-heterogeneous-words-with-space is a variable defined in ‘fill.el’.
| Its value is t
| Original value was nil
| 
| Documentation:
| Non-nil means that use a space to separate words of different kind.
| This will be done with a word in the end of a line and a word in the
| beginning of the next line when concatenating them for filling those
| lines.  Whether to use a space is up to how the words are categorized.
| 
| You can customize this variable.
| 
| This variable was introduced, or its default value was changed, in
| version 26.1 of Emacs.
| 
| [back]
`----